<?xml version="1.0" encoding="utf-8"?>
<androidx.swiperefreshlayout.widget.SwipeRefreshLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/swipe_refresh"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.operator.active.UserActivedFragment">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <include
            android:id="@+id/shimmer_loading"
            layout="@layout/shimmer_profile" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_user"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:paddingVertical="6dp"
            tools:listitem="@layout/item_user" />

        <LinearLayout
            android:id="@+id/layout_error"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:orientation="vertical"
            android:visibility="gone">

            <com.airbnb.lottie.LottieAnimationView
                android:layout_width="220dp"
                android:layout_height="220dp"
                android:layout_gravity="center"
                android:layout_marginTop="-32dp"
                app:lottie_autoPlay="true"
                app:lottie_fileName="error-animation.json"
                app:lottie_loop="true" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="-12dp"
                android:text="@string/timeout"
                android:textColor="@color/dark"
                android:textSize="16sp" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/server_error"
                android:textColor="@color/dark"
                android:textSize="14sp" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/layout_empty"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:orientation="vertical"
            android:visibility="gone">

            <com.airbnb.lottie.LottieAnimationView
                android:layout_width="220dp"
                android:layout_height="220dp"
                android:layout_gravity="center"
                android:layout_marginTop="-32dp"
                app:lottie_autoPlay="true"
                app:lottie_fileName="empty-box.json"
                app:lottie_loop="true" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                android:text="@string/empty_message"
                android:textSize="14sp" />
        </LinearLayout>
    </LinearLayout>

</androidx.swiperefreshlayout.widget.SwipeRefreshLayout>